Summary:	CoverArtArchive Client Library
Name:		libcoverart
Version:	1.0.0
Release:	2%{?dist}
License:	LGPL
Source0:	%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-disable-warning-errors
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake
BuildRequires:	neon-devel
BuildRequires:	jansson-devel
BuildRequires:	pkgconfig


%description
The Cover Art Archive Library (libcoverart), is a development library geared
towards developers who wish to add Cover Art capabilities to their
applications. The library supports Linux and Mac OS X. The data is mostly
gathered from the Cover Art Archive. 


%package devel
Summary:	Development files for libcoverart
Requires:	%{name}%{?_isa} = %{version}-%{release} pkgconfig


%description devel
This package contains files needed to develop with libcoverart.


%prep
%setup -q
%patch0 -p1

%build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DLIB_INSTALL_DIR:PATH=%{_libdir} -DCMAKE_BUILD_TYPE=Debug .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/%{_libdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc NEWS.txt README.md
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/coverart/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libcoverart.pc


%changelog
* Thu Mar 12 2020 Fred Gleason <fredg@paravelsystems.com> - 1.0.0-2
- Disabled '-Werror' in makefiles so we can build with gcc-8.3.1.
- Changed build type to 'Debug' so debug packages build correctly.
* Sun Feb  2 2020 Fred Gleason <fredg@paravelsystems.com> - 1.0.0-1
- Initial RPM packaging.
